dpkg-deb with xz support

Building Puppy from Raspbian DEBs, I thought that some were missing from the repository, however I discovered that '1download' was downloading then rejecting some DEBs.

The reason is that some DEBs have xz compression, which the 'dpkg-deb' utility in Wary and Racy (and most other pups) does not understand.

Support for xz was introduced with version 1.15.6 of the 'dpkg' package, of which 'dpkg-deb' is a utility therein.

I have compiled a recent version and uploaded to the 'common' repo (44KB):
http://distro.ibiblio.org/quirky/pet_packages-common/dpkg-deb-1.16.4.3-w5c.pet


Posted on 22 Jul 2012, 8:24


Comments:

Posted on 21 Jul 2012, 21:08 by 01micko
woops
Yeah.. I forgot to document that!!! Will be in next Slacko


Posted on 22 Jul 2012, 11:38 by technosaurus
busybox dpkg xz
It looks like dpkg in busybox only needs a couple of lines cut and pasted from its tar implementation. It seems that adding the "seamless" support will do it based on recent xz, dpkg and tar commits, but I am afp (away from puppy) right now or I'd try it.